<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;
use Dcat\Admin\Admin;

Admin::routes();

Route::group([
    'prefix'     => config('admin.route.prefix'),
    'namespace'  => config('admin.route.namespace'),
    'middleware' => config('admin.route.middleware'),
], function (Router $router) {

    $router->get('/', 'HomeController@index');
    $router->resource('/user', 'UserController'); //用户管理
    $router->resource('/member', 'UserMemberController'); //会员类型
    $router->resource('/user_member_order', 'UserMemberOrderController'); //续费订单
    $router->resource('/product', 'ProductController'); //产品列表
    $router->resource('/product_type', 'ProductTypeController'); //产品类型
    $router->resource('/column', 'ColumnController'); //栏目
    $router->resource('/report', 'ReportController'); //举报问题
    $router->resource('/report_log', 'ReportLogController'); //举报记录
    $router->resource('/setting', 'SettingController'); //系统设置
});
